Skip to main content
`Ctrl`+`K`

# MatDenseGetArray

gives read-write access to the array where the data for a `MATDENSE` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseGetArray(Mat A, PetscScalar *array[])

Logically Collective

## Input Parameter

- A - a dense matrix

## Output Parameter

- array - pointer to the data

## Fortran Notes

`MatDenseGetArray()` Fortran binding is deprecated (since PETSc 3.19), use `MatDenseGetArrayF90()`

## See Also

Matrices, `Mat`, `MATDENSE`, `MatDenseRestoreArray()`, `MatDenseGetArrayRead()`, `MatDenseRestoreArrayRead()`, `MatDenseGetArrayWrite()`, `MatDenseRestoreArrayWrite()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Implementations

MatDenseGetArray_MPIDense() in src/mat/impls/dense/mpi/mpidense.c
MatDenseGetArray_SeqDense() in src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages